docs
UAEN
API Reference

Seed Custom Pipeline

Seed a pipeline with training examples.

POST/api/v1/pipelines/{pipeline_id}/seed

Authorizations

X-API-Keystringheaderrequired
Your API key for authentication

Path Parameters

pipeline_idintegerpathrequired
Pipeline ID

Body Parameters

examplesarraybodyrequired
Training examples

Cookies

wos-sessionstringcookie
Session cookie
access_tokenstringcookie
Access token cookie
datalab_active_teamstringcookie
Active team cookie

Response

Successful Response
Seed Custom Pipeline
import requests

url = "https://www.datalab.to/api/v1/pipelines/{pipeline_id}/seed"
headers = {"X-API-Key": "<api-key>"}
payload = {"examples": []}

response = requests.post(url, json=payload, headers=headers)
print(response.text)
200Success
{"success": true, "examples_added": 5}